<?
	require_once "inc/nfc_class.php";
	require_once "inc/parametros_sat.php";
	require_once "inc/messages.php";

if(isset($_POST)){
	$dados_finaliza = $_POST;	
	$ds_return = $dados_finaliza['resposta'];

	// escreve o arquivo no diretorio temporario, somente para conferência de retorno do SAT
	$bo_return = true;
	
	if($bo_return==true){
		$date = new DateTime();
		$file_name = "xml/SAT_" . $date->format('Ymd_His') . ".txt";
		
		$myfile = fopen($file_name, "w+") or die("Unable to open file!");
		// header( 'Content-type: text/xml' ); preg_replace("/(\t+)/", "", $r_xml);
		fwrite($myfile, $ds_return);
		fclose($myfile);
	}
	
	/* Organiza o retorno em um array */
	$ar_return = array_filter(explode("|", $ds_return));
	
	/* Limpa o Retorno para um novo array */
	$ret_cupom =array(
    'numeroSessao' => '',
    'EEEEE' => '',
    'CCCC' => '',
    'mensagem' => '',
    'cod' => '',
    'mensagemSEFAZ' => '',
    'ArquivoCFeBase64' => '',
    'timeStamp'  => '',
    'chaveConsulta' => '',
    'valorTotalCFe' => '',
    'CPFCNPJValue' => '',
    'assinaturaQRCODE' => ''
	);
  
	$i=0;
	foreach ($ret_cupom as $key => $value){
		if(isset($ar_return[$i])){
		  $ret_cupom[$key]=$ar_return[$i];
		}
	  $i ++;
	}
		
	// instancia o objeto de atualização no BD
	$id = $dados_finaliza['id_documento'];
	$id_doc = base64_decode($id);

	$Nfc = new NfcCode();
	$Nfc->setNrNota($id_doc);
	$autorizado = 0;
	$mensagem   = "";
	$chave_acesso="";

	// executa o comando de atualização, passando o retorno e xml original se necessário!
	$ok = $Nfc->bd_UpdateStatusNfc($ret_cupom, $dados_finaliza['dadosVenda']);

	$ar_status_emitido = array("06000");
	if(!in_array($ret_cupom['EEEEE'], $ar_status_emitido)){
	  $mensagem  = "Houve um erro ao emitir o Cupom Fiscal de Venda!";
	  $mensagem .= "Detalhe:" . $ret_cupom['mensagem'];

	}else{
	  $chave_acesso = $ret_cupom['chaveConsulta'];

	  $mensagem  = "Cupom emitido com Sucesso!Chave:$chave_acesso";

	  $autorizado=1;
	}

	// exibe uma mensagem ao retornar a lista principal
	$retorno_finaliza = "$autorizado;$mensagem;$id_doc;$chave_acesso";
	
	if($autorizado==1){
	  /*
	  addError($retorno_finaliza);
	  $redirect = $p_url_nuvem . "erpc_faturar_pedidos_list.php";
	}else{
	  */
	  addMessage($retorno_finaliza);
	}
}
?>
